# Skynet account
A Skynet account provides access to all the services listed in this wiki.

To manage the account we have a self-service way to sign up for an account, change password, add ssh keys and more.

## Committee/Admins
Committee and Skynet Admins are required to have a Skynet account in order to have access to internal materials.

## Sign up
#### <https://account.skynet.ie/signup>

A Computer Society member is able to use this page to sign up for a Skynet account.  
By entering the email address used for Wolves they will be sent a mail with instructions on how to proceed.

## Modify
Various aspects of the account can be modified, such as:

### Password
#### <https://account.skynet.ie/password>
If you know your existing password it can be changed here.

### SSH Keys
#### <https://account.skynet.ie/modify_ssh>
SSH keys are used for accessing the [Skynet Webserver](./skynet.md).  
If you are on campus they are also usable for the [Forgejo instance](./forgejo.md).  

You can have multiple keys associated with your account.

### User Information
#### <https://account.skynet.ie/modify>
On Signup details such as email, first name and surname are pulled from UL Wolves, which itself pulls (for students) from UL.  
This means that for some members their names does not match reality and this allows them to correct that.  

It also allows members upon graduation to switch to their own email address for Wolves instead of the UL provided email.

## Recovery 
Shit happens, memory fades, bits flip and ye find yourself unable to login.

### Username
#### <https://account.skynet.ie/recovery/username>
If you have forgotten your username a reminder can be sent to the email linked to your account.

### Password
#### <https://account.skynet.ie/recovery/password>
If you forget your password a reset link can be sent to the email linked to your account.




