# Gitlab
### <https://gitlab.skynet.ie>

Gitlab is an online git repo hosting service.  
Access to these repos is provided via SSH and HTTP (Although only HTTP is available off campus).  
It has a solid CI/CD platform which uses its own YAML based config system.  
Finally it has "folders" such as ``owner/folder/repo`` and ``owner/as/many/folders/as/ye/want/repo`` which allows for hierarchical grouping of repos.

## Depreciation
Skynet currently hosts a Gitlab instance, however it is currently being depreciated in favor of [Forgejo](./forgejo.md).  

This is largely due to the administrative overhead involved in running a Gitlab CE instance.  
Much of the LDAP based tools are locked behind the Enterprise (EE) licence.  
These tools come automatically with Forgejo.

Forgejo has another advantage of being able to use Github actions, which more folks are familiar with over Gitlab.

One final reason is that the resources required to host Forgejo and its runner are far less than what are required to host Gitlab and its runner.

