# Skynet

We provide a linux webserver for member use.  
It could be considered akin to the [Tildeverse](https://tildeverse.org/), named as such for the way each member's site was displayed (``https://skynet.ie/~username``).  
Now that will redirect to ``https://username.users.skynet.ie`` we home to have preserved the same vibe.  

## Name
The main user facing server of the cluster has always been called Skynet, the cluster is named after this server.  
You can find more of the history here: <https://2009.skynet.ie/history.html>

## Login
Login is done via ssh and ssh keys.

## SSH Keys
[See the tutorial on SSH keys for more info](../../tutorials/skynet/create_ssh.md)

### Logging in
In any terminal do this:

```bash
ssh username@skynet.skynet.ie
```
And you will be in!

## Website
[See the tutorial on the website for more info](../../tutorials/skynet/create_website.md)